Last Comment Bug 192666 - extension-list is appearing twice in ldif/tab/txt import file picker
: extension-list is appearing twice in ldif/tab/txt import file picker
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed1.8.1
Product: MailNews Core
Classification: Components
Component: Import (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Mark Banner (:standard8)
: esther
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-11 00:00 PST by (not reading, please use seth@sspitzer.org instead)
Modified: 2008-07-31 01:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pkw's fix (990 bytes, patch)
2003-02-11 00:01 PST, (not reading, please use seth@sspitzer.org instead)
sspitzer: review-
sspitzer: superreview-
Details | Diff | Splinter Review
Updated patch (990 bytes, patch)
2005-09-01 14:21 PDT, Mark Banner (:standard8)
neil: review+
neil: superreview+
Details | Diff | Splinter Review
Thunderbird version (990 bytes, patch)
2005-09-25 05:14 PDT, Mark Banner (:standard8)
mozilla: review+
mozilla: superreview+
Details | Diff | Splinter Review
Real Thunderbird version (994 bytes, patch)
2005-09-25 12:14 PDT, Mark Banner (:standard8)
standard8: review+
standard8: superreview+
mscott: approval‑branch‑1.8.1+
Details | Diff | Splinter Review

Description (not reading, please use seth@sspitzer.org instead) 2003-02-11 00:00:21 PST
extension-list is appearing twice in ldif/tab/txt import file picker

spun off from bug #122282

see
http://bugzilla.mozilla.org/show_bug.cgi?id=122282#c5
http://bugzilla.mozilla.org/show_bug.cgi?id=122282#c15

I'll attach pkw's patch for addressBook.properties.

my problem is that the change to addressBook.properties fixes a problem on
linux ("Remove the extensions from the addressbook.properties file because it
causes the extensions to show up twice for builds using the nsFilepicker.js
file
picker (UNIX") but causes a new one on win32 ("extensions not appearing")

this seems like a general problem that should happen with other users of
nsFilepicker.js, or a problem with the mailnews code that we shouldn't be
specifying the extensions like that.
Comment 1 (not reading, please use seth@sspitzer.org instead) 2003-02-11 00:01:44 PST
Created attachment 114082 [details] [diff] [review]
pkw's fix
Comment 2 (not reading, please use seth@sspitzer.org instead) 2003-02-11 00:02:51 PST
Comment on attachment 114082 [details] [diff] [review]
pkw's fix

don't land this patch
Comment 3 Mark Banner (:standard8) 2005-09-01 14:21:02 PDT
Created attachment 194587 [details] [diff] [review]
Updated patch

I can't see why the previous patch shouldn't work on windows. This patch is an
updated version.

Mike: Can you test import and export address book file picker dialogs with this
patch on windows and check that in the drop down you get the following entries:


LDIF (*.ldi; *.ldif)
Comma Separated (*.csv)
Tab Delimited (*.tab; *.txt)
All Files (*)

Note that the (...) parts may not be there - they should be. I'm hoping that
there has been a patch gone in for the windows file picker that would fix this
problem.

Thanks.
Comment 4 Mark Banner (:standard8) 2005-09-02 00:18:00 PDT
Note: I've had a look at a windows nightly, and the file pickers that aren't 
the import/export ldif/tab/txt ones and they don't display extensions. 
Therefore, as long as we still filter correctly, I think we should go with the 
new patch and if we want extensions shown on windows, then that is a file 
picker bug.
Comment 5 Mark Banner (:standard8) 2005-09-23 14:10:48 PDT
Comment on attachment 194587 [details] [diff] [review]
Updated patch

As mentioned in comment 4, in general the windows file pickers don't display
*.whatever, whereas the linux ones do.

In the case of importing address books, linux displays

(*.ldi,*.ldif)(*.ldi,*.ldif)

whereas windows displays just

(*.ldi,*.ldif)

This patch will make linux display the extensions just once, and windows not at
all - following the current convention. If we want the windows ones to display
file extensions, hten that should be a seperate bug.
Comment 6 Mark Banner (:standard8) 2005-09-25 05:14:35 PDT
Created attachment 197324 [details] [diff] [review]
Thunderbird version

Thunderbird version - Please see my previous comments on this bug for the
effects of this patch.
Comment 7 Mark Banner (:standard8) 2005-09-25 12:14:30 PDT
Created attachment 197349 [details] [diff] [review]
Real Thunderbird version

I got the file wrong last time for the Thunderbird version
(mailnews/addrbook/resources/locale/en-US/addressbook.properties instead of
mail/locales/en-US/chrome/messenger/addressbook/addressBook.properties)

This is the correct file, same change though so carrying forward r + sr from
bienvenu.
Comment 8 Mark Banner (:standard8) 2005-09-25 12:23:36 PDT
Both Updated patch & Thunderbird checked into trunk, note that the original
patch was from bug 122282 and Philip K. Warren (IBM) <pkwarren@gmail.com>.

/cvsroot/mozilla/mailnews/addrbook/resources/locale/en-US/addressBook.properties,v
 <--  addressBook.properties
new revision: 1.35; previous revision: 1.34
done
Checking in mail/locales/en-US/chrome/messenger/addressbook/addressBook.properties;
/cvsroot/mozilla/mail/locales/en-US/chrome/messenger/addressbook/addressBook.properties,v
 <--  addressBook.properties
new revision: 1.6; previous revision: 1.5
Comment 9 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-12-14 08:26:16 PST
Comment on attachment 194587 [details] [diff] [review]
Updated patch

First a=me
Comment 10 Ian Neal 2005-12-14 09:07:32 PST
Comment on attachment 194587 [details] [diff] [review]
Updated patch

a=me for SM1.0b on SM only part of code, 2nd needed one - Tally Ho!
Comment 11 Mark Banner (:standard8) 2005-12-14 11:07:00 PST
"Updated patch" (SeaMonkey only) checked into 1.8 branch for SeaMonkey 1.0b
Comment 12 Mark Banner (:standard8) 2005-12-22 09:50:54 PST
(In reply to comment #11)
> "Updated patch" (SeaMonkey only) checked into 1.8 branch for SeaMonkey 1.0b
> 
Also checked into 1.8.0 branch.
Comment 13 Mark Banner (:standard8) 2006-03-25 05:55:28 PST
Comment on attachment 197349 [details] [diff] [review]
Real Thunderbird version

Requesting approval for 1.8.1 branch, small patch that corrects the file format type display.
Comment 14 Mark Banner (:standard8) 2006-03-31 05:21:03 PST
Thunderbird patch checked into 1.8.1 branch (SeaMonkey version already there).

Note You need to log in before you can comment on or make changes to this bug.